Kwalitee Issues


Take a look at the META.yml Spec at (for version 1.4) or (for version 2), and change your META.yml accordingly.

Error: Missing mandatory field, 'abstract' (abstract) [Validation: 1.4]


Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.


Add a META.json to the distribution. Your buildtool should be able to autogenerate it.


Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.


This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.


Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.


Name Abstract Version View
Csistck Perl system consistency check framework 0.1003 metacpan
Csistck::Config metacpan
Csistck::Oper metacpan
Csistck::Role Cistck base class for role inheritance metacpan
Csistck::Term metacpan
Csistck::Test metacpan
Csistck::Test::File Csistck file check metacpan
Csistck::Test::FileBase metacpan
Csistck::Test::NOOP Csistck no operation check metacpan
Csistck::Test::Pkg Csistck package check metacpan
Csistck::Test::Return metacpan
Csistck::Test::Script Csistck script check metacpan
Csistck::Test::Template Csistck template check metacpan
Csistck::Util metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README.pod metacpan